devil (1.8.0.40.g6f3d5e9b+dfsg-2) experimental; urgency=medium

  * d/control: Build-Depends add cmake

 -- xiao sheng wen <atzlinux@debian.org>  Wed, 30 Apr 2025 18:10:06 +0800

devil (1.8.0.40.g6f3d5e9b+dfsg-1) experimental; urgency=medium

  * New maintainer, Closes: #674868
  * New upstream version 1.8.0.40.g6f3d5e9b+dfsg
  * add d/u/metadata
  * add d/libdevil-dev.examples
  * d/control:
      - Bump Standards-Version: 4.7.2
      - add Rules-Requires-Root: no
      - update libdevil-dev package Description
      - use https for Homepage
      - Build-Depends remove obsolete package libgl1-mesa-dev
  * delete all old patches, useless for new upstream version
  * add d/p/update-soname-verison.patch
  * d/rules:
      - simplify, buildsystem use cmake
      - add execute_after_dh_installdocs target
  * add d/clean
  * d/watch: update to version 4, use github HEAD, add dfsg suffix opts
  * update d/libdevil-dev.docs
  * update *.install, use ${DEB_HOST_MULTIARCH} path
  * d/copyright:
      - update year info, fix old-fsf-address
      - fix no-dep5-copyright
      - add Files-Excluded field
  * update d/libdevil1c2.lintian-overrides

 -- xiao sheng wen <atzlinux@debian.org>  Wed, 30 Apr 2025 17:10:12 +0800

devil (1.7.8-12) unstable; urgency=medium

  * QA Upload

  * Disable support for obsolete Allegro4 backend:
    not a single reverse-dependency in Debian use it.

 -- Alexandre Detiste <tchet@debian.org>  Tue, 22 Oct 2024 16:01:45 +0200

devil (1.7.8-11) unstable; urgency=medium

  * QA upload.

  * Updated vcs in d/control to Salsa.
  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.6 to 4.7.0.
  * Moved to debhelper compat level 13.
  * Swapped alternative build dependencies libgl-dev and libgl1-mesa-dev.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 23 Apr 2024 01:30:49 +0200

devil (1.7.8-10) unstable; urgency=medium

  * QA upload.
  * Add GCC-5-FTBFS-il.h.patch and fix build error with GCC-5.
    (Closes: #777832)
  * Declare compliance with Debian Policy 3.9.6.

 -- Markus Koschany <apo@gambaru.de>  Tue, 07 Jul 2015 19:48:41 +0200

devil (1.7.8-9) unstable; urgency=medium

  * QA upload.
  * Add lcms2.patch.
    - Ensure that the build system detects, uses and links against lcms2.
      (Closes: #745518)

 -- Markus Koschany <apo@gambaru.de>  Mon, 18 Aug 2014 17:47:25 +0200

devil (1.7.8-8) unstable; urgency=medium

  * QA upload.
  * debian/control: Switch to liblcms2-dev. (Closes: #745518)
  * wrap-and-sort -sa.
  * Declare compliance with Debian policy 3.9.5.
  * debian/rules: Build with autotools_dev. (Closes: #744564)
  * Build-depend on liballegro4-dev instead of virtual liballegro4.2-dev.

 -- Markus Koschany <apo@gambaru.de>  Mon, 02 Jun 2014 15:14:27 +0200

devil (1.7.8-7) unstable; urgency=low

  * QA upload.
  * Change maintainer to QA group.
  * Change dependencies on libtiff4-dev to libtiff-dev. Closes: #682176
  * Change dependencies on libpng12-dev to libpng-dev. Closes: #662298
  * New patch png_set_expand_gray_1_2_4_to_8. Closes: #649554
    Based on a patch by Nobuhiro Iwamatsu.
  * debian/ cleanup:
    + use dh
    + bump debhelper compat to 9
      - this automatically enables hardening flags. Closes: #653535
    + use source format 3.0 (quilt)
    + remove obsolete VCS links

 -- Frank Lichtenheld <djpig@debian.org>  Tue, 21 May 2013 00:00:34 +0200

devil (1.7.8-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove references to other libraries from dependency_libs field.
    Closes: #633168.
  * debian/control: Build-Depend on libjpeg-dev instead of libjpeg62-dev.
    Closes: #633691.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 31 Jul 2011 23:15:16 +0200

devil (1.7.8-6) unstable; urgency=high

  * Fix CVE-2009-3994. Closes: #560080.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 08 Dec 2009 20:09:02 +0000

devil (1.7.8-5) unstable; urgency=low

  * Fix FTBFS. Closes: #545959.

 -- Bradley Smith <bradsmith@debian.org>  Thu, 10 Sep 2009 19:38:13 +0100

devil (1.7.8-4) unstable; urgency=low

  * Add missing depends to libdevil-dev. Closes: #531888.

 -- Bradley Smith <bradsmith@debian.org>  Sat, 22 Aug 2009 13:47:46 +0100

devil (1.7.8-3) unstable; urgency=low

  * Fix kfreebsd FTBFS. Patch thanks to Cyril Brulebois <kibi@debian.org>
    Closes: #541889.
  * Update Standards-Version to 3.8.3.

 -- Bradley Smith <bradsmith@debian.org>  Mon, 17 Aug 2009 19:48:31 +0100

devil (1.7.8-2) unstable; urgency=low

  * Add missing libraries in linking of ILUT. Closes: #525363.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 26 Apr 2009 14:41:45 +0100

devil (1.7.8-1) unstable; urgency=low

  * New upstream release.
  * Add liballegro4.2-dev to Build-Depends.
  * Update Standards-Version to 3.8.1. (No changes).

 -- Bradley Smith <bradsmith@debian.org>  Tue, 24 Mar 2009 18:28:21 +0000

devil (1.7.7-1) unstable; urgency=low

  * New upstream release.
  * debian/patches
    - 00_endian_and_ILvoid_fixes - Remove (Gone upstream).
    - 02_add_missing_files - Remove (Gone upstream).
    - 03_CVE-2008-5262 - Remove (Gone upstream).
  * Install pkgconfig files.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 15 Feb 2009 21:41:36 +0000

devil (1.7.5-4) unstable; urgency=low

  * Actually fix CVE-2008-5262. Closes: #512122.

 -- Bradley Smith <bradsmith@debian.org>  Sat, 17 Jan 2009 15:01:18 +0000

devil (1.7.5-3) unstable; urgency=low

  * 03_CVE-2008-5262.diff - Backport fix for CVE-2008-5262.
    Closes: #511844.

 -- Bradley Smith <bradsmith@debian.org>  Thu, 15 Jan 2009 18:50:11 +0000

devil (1.7.5-2) unstable; urgency=low

  * add_missing_files.diff - Add files missed from tarball. Closes: #511297

 -- Bradley Smith <bradsmith@debian.org>  Sat, 10 Jan 2009 20:47:32 +0000

devil (1.7.5-1) unstable; urgency=low

  * New upstream release.

 -- Bradley Smith <bradsmith@debian.org>  Wed, 31 Dec 2008 12:38:16 +0000

devil (1.7.4-1) experimental; urgency=low

  * New upstream release.
  * Update maintainer email.
  * 00_endian_and_ILvoid_fixes.diff - Refresh.
  * 01_fix_as-needed.diff - Refresh.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 30 Dec 2008 21:16:58 +0000

devil (1.7.2-1) experimental; urgency=low

  * New upstream release. Closes: #499626
  * Refresh 00_misc_fixes.diff and rename to 00_endian_and_ILvoid_fixes.diff
  * Refresh 01_fix_as-needed.diff
  * Re-add debian/watch file.
  * Add Homepage field.
  * Add Vcs-* fields.
  * Adjust descriptions to make the -dev package match the non-dev package.
  * Convert copyright to machine readable format.
  * Update compat version to 7 and upgrade debhelper build-depend to (>= 7).
  * Remove unneeded docs from installation.
  * Add descriptions to lintian override and patches.

 -- Bradley Smith <brad@brad-smith.co.uk>  Fri, 26 Sep 2008 15:25:45 +0100

devil (1.6.8-rc2-3) unstable; urgency=low

  * Fix typo in 00_misc_fixes.diff.
  * Remove broken watch file. Not adding a new one since upstreams
    repository is full of broken versioning.

 -- Bradley Smith <brad@brad-smith.co.uk>  Wed, 23 Jul 2008 21:45:53 +0100

devil (1.6.8-rc2-2) unstable; urgency=low

  * Build with -DGLX_GLXEXT_LEGACY to avoid implicit pointer conversion.
    Closes: #490975
  * Fix il_endian.h patch to fix FTBFS's on big endian machines.

 -- Bradley Smith <brad@brad-smith.co.uk>  Sun, 20 Jul 2008 14:21:18 +0100

devil (1.6.8-rc2-1) unstable; urgency=low

  * New Upstream Release.
  * New Maintainer. Closes: #471982.
  * Overhaul Packaging.
   - Update Standards-Version to 3.8.0.
    + Support parallel=N in DEB_BUILD_OPTIONS.
   - Correct section for libdevil-dev.
   - Remove autotools dependency, not longer needed.
   - Add quilt patch system.
    + 00_misc_fixes.diff - Move changes to top srcdir to patch.
    + 01_fix_as-needed.diff - Fix --as-needed flag in libtool.
   - Correct debian/copyright
   - Add watch file.
   - Replace obsolete dependency (libglut3-dev). Closes: #394488.

 -- Bradley Smith <brad@brad-smith.co.uk>  Sun, 06 Jul 2008 19:27:50 +0100

devil (1.6.7-5.2) unstable; urgency=low

  * NMU.
  * debian/control: Build-Depend on automake1.9 instead of automake1.8, to
    stop blocking the removal of automake1.8. (Closes: #472594)

 -- Eric Dorland <eric@debian.org>  Sat, 03 May 2008 00:23:33 -0400

devil (1.6.7-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Turned the ILvoid type into the void type, as suggested by tbm (thanks to
    Per Hansen as well for the proposed patch). Closes: #376620.
  * Made the package binNMu-safe by using binary:Version instead of
    Source-Version.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Sat, 29 Sep 2007 14:37:27 +0200

devil (1.6.7-5) unstable; urgency=low

  * Ack NMU
  * debian/compat, debian/control: use debhelper 5
  * debian/control: build-depend on libpng12-dev
  * debian/control: build-depend on automake1.8
  * debian/control: build-depend on libgl1-mesa-dev
  * We are getting exceedingly good at handling changes in the worst
    possible way ever.  I want back to 1999!  See all the above entries.
    closes: bug#358089
  * src-IL/src/il_png.c: Fix AMD64 problems.  Thanks Mike McLean.  closes:
    bug#314829
  * debian/control: standards version 3.7.2; no other changes seem to be
    required
  * debian/control: add Section to source package
  * debian/rules: funny... move code that copies autofoo stuff AFTER the line
    that removes it
  * src-IL/src/Makefile.am: remove @LIBGIF@; autoconf test does not exist, so
    it never actually worked, methinks.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Fri, 05 May 2006 08:27:12 -0600

devil (1.6.7-4.1) unstable; urgency=medium

  * NMU (with maintainer permission.)
  * Recompiled with gcc 4.0 and changed library package name to
    libdevil1c2 (the big C++ ABI change.)

 -- Federico Di Gregorio <fog@debian.org>  Thu, 21 Jul 2005 11:50:41 +0200

devil (1.6.7-4) unstable; urgency=medium

  * dinstall is being a jerk.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 24 Jan 2005 21:25:22 -0600

devil (1.6.7-3) unstable; urgency=medium

  * src-IL/include/il_endian.h: patch from Federico Di Gregorio to fix
    endianess issues.  Sorry about the delay and misunderstandings!  Thanks
    Federico. (closes: bug#288314)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 23 Jan 2005 21:06:34 -0600

devil (1.6.7-2) unstable; urgency=medium

  * debian/rules: hideous hack to work around the fact that the upstream
    tarball is dirty.  Thanks Federico Di Gregorio (closes: bug#288314)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 03 Jan 2005 19:57:42 -0600

devil (1.6.7-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: very fscked up hack to get libtool working.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue, 02 Nov 2004 16:53:45 -0600

devil (1.6.5-5.1) unstable; urgency=medium

  * Non-Maintainer Upload.
  * debian/control: switch to libtiff4-dev (closes: #262795).
  * src-IL/include/il_endian.h: patch from Michel Dänzer to fix
    endianness detection (closes: #222608).

 -- Jordi Mallach <jordi@debian.org>  Thu,  5 Aug 2004 01:42:43 +0200

devil (1.6.5-5) unstable; urgency=low

  * build and install libIL_wrap.a (closes: bug#192633)
  * debian/rules: strip out -L flags from dependency_libs in .la files (-L
    flags should not be needed at all) (closes: bug#192554)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 11 May 2003 22:47:23 +0200

devil (1.6.5-4) unstable; urgency=low

  * rebuild, for some reason OpenGL support is missing from -3 on i386.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Wed, 12 Mar 2003 22:41:52 +0100

devil (1.6.5-3) unstable; urgency=low

  * src-IL/src/il_pal.c, src-IL/src/il_psd.c: fixed signedness related
    warnings.
  * include/IL/il.h: typedef ILbyte as 'signed char' (closes: bug#181226)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 17 Feb 2003 13:10:16 +0100

devil (1.6.5-2) unstable; urgency=low

  * debian/control: changed description (closes: bug#177997)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 09 Feb 2003 17:34:30 +0100

devil (1.6.5-1) unstable; urgency=low

  * Initial Release.
  * src-ILU/include/ilu_region.h: fetched out of CVS, missing in upstream
    tarball
  * src-ILU/src/Makefile.am: it's top_builddir, not top_srcdir

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 19 Jan 2003 13:18:49 +0100
